#include <QApplication>
#include <QMenu>

#include "trayicon.h"

TrayIcon::TrayIcon(QObject *parent) : QObject(parent)
{
    mMenu = new QMenu;

    QAction *closeAction = mMenu->addAction(tr("Quit"));
    connect(closeAction, &QAction::triggered, this, &TrayIcon::onQuit);

    mTrayIcon.setIcon(QIcon(":/logo_large.png"));
    mTrayIcon.setContextMenu(mMenu);
    mTrayIcon.show();
}

TrayIcon::~TrayIcon()
{
    mMenu->deleteLater();
}

void TrayIcon::onQuit()
{
    QApplication::exit();
}
